/* $Id: repl.c,v 1.1 2007/06/20 01:35:04 takayama Exp $ */

#include <stdio.h>
#include <stdlib.h>

#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <unistd.h>

#define BUFSIZE 10000
#define SSIZE  1024   


int
main(int argc,char *argv[]) {
  char s[BUFSIZE];
  char cwd[BUFSIZE];
  char *slash;
  char type = 'b';
  FILE *fp;
  int fd,i;


  if (getcwd(cwd, sizeof(cwd)) == NULL) {
	fprintf(stderr, "getcwd: %s\n", strerror(errno));
	exit(EXIT_FAILURE);
  }
  if ((slash = strrchr(cwd, '/')) == cwd) {
	fprintf(stderr, "The current working directory is /.\n");
	exit(EXIT_FAILURE);
  }
  *slash = 0;

  for (i=1; i<argc; i++) {
    if (strcmp(argv[i],"csh")==0) {
      type = 'c';
    }else if (strcmp(argv[i],"bash")==0) {
      type = 'b';
    }else if (strcmp(argv[i],"--prefix")==0) {
      i++;
      strcpy(cwd,argv[i]);
	  strcat(cwd,"/KnoppixMath");
      if (cwd[0] != '/') {
        fprintf(stderr,"Warning: prefix must start with /\n");
        fprintf(stderr,"Your prefix is %d\n",cwd);
      }
    }else{
      fprintf(stderr,"Warning: Unknown option.\n");
    }
  }

  while (fgets(s,BUFSIZE,stdin) != NULL) {
	if (strcmp(s,"KnoppixMath_HOME=$HOME/KnoppixMath\n") == 0) {
	  printf("KnoppixMath_HOME=%s\n",cwd);
	}else if (strcmp(s,"setenv KnoppixMath_HOME $HOME/KnoppixMath\n") == 0) {
	  printf("setenv KnoppixMath_HOME %s\n",cwd);
	}else{
	  printf("%s",s);
	}
  }

  exit(EXIT_SUCCESS);
}
